:root {
    --main-color: #232430;
    --main-color-white: #ececec;
    --main-color-gold-from: #e3b47c;
    --main-color-gold-to: #8e5e39;
    --header-height: 70px;
}

/* Document
	 ========================================================================== */

/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 */
html {
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    margin: 0;
    padding: 0;
}

/* Sections
	 ========================================================================== */

/**
 * Remove the margin in all browsers.
 */
body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    max-width: 100%;
    font-family: "Open Sans", sans-serif;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.2;
    color: var(--main-color-white);
    scroll-behavior: smooth;
}

body.no-scroll {
    overflow: hidden;
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */
b,
strong {
    font-weight: bolder;
}

/* Forms
	 ========================================================================== */

/**
 * 1. Change the font styles in all browsers.
 * 2. Remove the margin in Firefox and Safari.
 */
button,
input,
optgroup,
select,
textarea {
    font-family: inherit;
    font-size: 100%;
    line-height: inherit;
    margin: 0;
    padding: 0;
    outline: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */
button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
    border: none;
}

/**
 * Add the correct display in IE 10.
 */
[hidden] {
    display: none;
}

/* Box sizing
--------------------------------------------- */

/* Inherit box-sizing to more easily change it's value on a component level.
@link http://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/ */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Elements
--------------------------------------------- */

ul,
ol {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

img {
    height: auto;
    max-width: 100%;
    border: none;
}

table {
    margin: 0 0 1.5em;
    width: 100%;
}

/* Links
--------------------------------------------- */
a {
    text-decoration: none;
    color: inherit;
}
a:visited {
    color: inherit;
}

a:hover,
a:active {
    outline: 0;
}

.mobile-menu {
    display: none;
}

.site {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    overflow-x: hidden;
}

.site-content {
    padding: var(--header-height) 0 0 0;
    flex-grow: 1;
}

.button {
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 305px;
    width: 100%;
    height: 60px;
    font-weight: 800;
    color: var(--main-color-white);
    border: 3px solid var(--main-color-white);
    border-radius: 6px;
    background: transparent;
    cursor: pointer;
}

.button:hover {
    background: var(--main-color-white);
    color: var(--main-color);
}

.button_black {
    border-color: var(--main-color);
    color: var(--main-color);
}

.button_black:hover {
    background: var(--main-color);
    color: var(--main-color-white);
}

.button_gold {
    color: var(--main-color-gold-from);
    position: relative;
    border: none;
    z-index: 1;
}

.button_gold::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: url("/wp-content/themes/daminir/media/gradient_bg.png");
    background-size: 100% 100%;
    border-radius: 6px;
    z-index: 2;
}

.button_gold:hover::before {
    background: -webkit-linear-gradient(90.85deg, var(--main-color-gold-from), var(--main-color-gold-to));
    background: linear-gradient(90.85deg, var(--main-color-gold-from), var(--main-color-gold-to));
    z-index: -1;
}

.button_gold:hover {
    background: transparent;
    color: var(--main-color-white);
    -webkit-background-clip: unset;
    background-clip: unset;
    -webkit-text-fill-color: unset;
}

.button_gold:hover span {
    position: relative;
    z-index: 3;
}

.container {
    width: calc(100% - (7.5% * 2));
    margin: 0 auto;
}

.top-line {
    position: relative;
    z-index: 30;
}

.top-line::before {
    position: absolute;
    content: "";
    background: -webkit-linear-gradient(180deg, #e7a977, #ebbe9b);
    background: linear-gradient(180deg, #e7a977, #ebbe9b);
    bottom: 100%;
    left: 0;
    width: 100%;
    height: 2px;
}

.section__title {
    font-size: 52px;
    font-weight: 800;
    line-height: 1.03;
    word-break: break-word;
}
.section__description {
    font-size: 21px;
    color: var(--main-color-white);
}
.section__description_large {
    max-width: 763px;
}
.section__description_small {
    max-width: 489px;
}
.bg-blackout {
    background: linear-gradient(0deg, rgba(35, 36, 48, 0.77), rgba(35, 36, 48, 0.77));
}

.bg-main {
    background: var(--main-color);
}

/* header */

.header {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: var(--header-height);
    background: var(--main-color);
    color: var(--main-color-white);
    line-height: 1;
    z-index: 50;
}

.header__container {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header::after {
    position: absolute;
    content: "";
    background: -webkit-linear-gradient(90.85deg, var(--main-color-gold-from), var(--main-color-gold-to));
    background: linear-gradient(90.85deg, var(--main-color-gold-from), var(--main-color-gold-to));
    top: 100%;
    left: 0;
    width: 100%;
    height: 2px;
}

.header__logo {
    display: flex;
    align-items: flex-end;
    height: 100%;
    padding: 0 0 8px 0;
}
.header__nav {
    flex-grow: 1;
    min-width: 580px;
    padding: 0 7.18%;
    font-weight: 600;
}
.header__nav,
.header__nav > div,
.header__nav .menu {
    height: 100%;
}

.header__nav .menu {
    display: flex;
    align-items: center;
}

.menu-item-has-children {
    position: relative;
}
.menu-item-has-children > a {
    position: relative;
}
.menu-item-has-children > a::after {
    position: absolute;
    content: "";
    width: 14px;
    height: 19px;
    top: calc(50% - (14px / 2));
    left: calc(100% - 21px + 6px);
    background-image: url("/wp-content/themes/daminir/media/down_angle.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.header__nav .menu > .menu-item {
    height: 100%;
}

.header__nav a:hover {
    text-decoration: underline;
}

.header__nav .menu-item a {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 21px;
    color: inherit;
}

.header__nav .sub-menu {
    position: absolute;
    top: 100%;
    left: 0;
    padding: 25px;
    background: var(--main-color-white);
    color: var(--main-color);
    width: 300px;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s, visibility 0s ease 0.2s;
}

.header__nav .sub-menu li + li {
    margin: 10px 0 0 0;
}

.header__nav .sub-menu a {
    color: var(--main-color);
    text-align: center;
    padding: 0;
}

.header__nav .menu-item-has-children:hover > .sub-menu {
    visibility: visible;
    opacity: 1;
    transition: visibility 0s ease 0s, opacity 0.2s;
}

.header-actions {
    width: 405px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 12px;
}

.header__phone {
    color: var(--main-color-white);
    font-weight: 600;
    font-size: 14px;
    display: flex;
    align-items: center;
}

.header__phone svg {
    margin: 0 5px 0 0;
}

.header__button-order {
    max-width: 157px;
    height: 40px;
}

.header-languages {
    font-weight: 600;
    position: relative;
}
.header-languages__current {
    display: flex;
    align-items: center;
    text-transform: uppercase;
}
.header-languages__current svg {
    margin: 0 0 0 3px;
}
.header-languages__menu {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    padding: 5px 15px;
    background: var(--main-color-white);
    color: var(--main-color);
    font-size: 14px;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s, visibility 0s ease 0.2s;
    z-index: 10;
}

.header-languages:hover .header-languages__menu {
    visibility: visible;
    opacity: 1;
    transition: visibility 0s ease 0s, opacity 0.2s;
}

.header-languages__menu li + li {
    margin: 5px 0 0 0;
}

.header-languages__menu a {
    color: inherit;
}

.header-languages__menu a:hover {
    background: -webkit-linear-gradient(90.85deg, var(--main-color-gold-from), var(--main-color-gold-to));
    background: linear-gradient(90.85deg, var(--main-color-gold-from), var(--main-color-gold-to));
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.burger {
    width: 28px;
    height: 21px;
    cursor: pointer;
    display: none;
}

.burger__content {
    position: relative;
    height: 100%;
}

.burger__line {
    content: "";
    position: absolute;
    top: calc(100% - 2px);
    left: 0;
    width: 100%;
    height: 2px;
    border-radius: 30px;
    background-color: var(--main-color-white);
    transition: transform 0.4s ease;
}

.burger__content .burger__line::after {
    content: "";
    position: absolute;
    top: -20px;
    left: 0;
    width: 100%;
    height: 2px;
    border-radius: 30px;
    background-color: inherit;
    transition: top 0.4s ease 0.4s;
}

.burger__content .burger__line::before {
    content: "";
    position: absolute;
    top: -10px;
    left: 0;
    width: 100%;
    height: 2px;
    border-radius: 30px;
    background-color: inherit;
    transform: rotate(0deg);
    transition: top 0.4s ease 0.4s, transform 0.4s ease;
}

.burger.active .burger__line::after {
    top: 0;
    transition: top 0.4s;
}

.burger.active .burger__line::before {
    top: 0;
    transform: rotate(-90deg);
    transition: top 0.4s ease 0.1s, transform 0.4s ease 0.5s;
}

.burger.active .burger__line {
    transform: translate3d(0, -10px, 0) rotate(-45deg);
    transition: transform 0.4s ease 0.5s;
}

/* END header */

/* footer */
.footer {
    height: 200px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--main-color-white);
}

.footer a {
    color: inherit;
}

.footer__container {
    display: grid;
    grid-template-columns:
        minmax(190px, 238px) minmax(45px, 4.9%) auto minmax(45px, 1fr) 180px minmax(45px, 4.9%)
        minmax(170px, 200px);
    grid-template-rows: auto;
    grid-template-areas: "logo . nav . phone . dev";
    align-items: center;
}
.footer__logo {
    grid-area: logo;
}
.footer__logo img {
}
.footer__nav {
    grid-area: nav;
    font-weight: 300;
}

.footer__nav a:hover {
    text-decoration: underline;
}

.footer__nav .menu {
    display: flex;
    align-items: center;
    width: 580px;
    justify-content: space-between;
}

.footer__nav .sub-menu,
.footer__nav .menu-item-has-children > a::after {
    display: none !important;
}

.footer__phone {
    display: flex;
    align-items: center;
    grid-area: phone;
    font-size: 17px;
    font-weight: 600;
    color: var(--main-color-white);
}
.footer__phone svg {
    margin: 0 7px 0 0;
    height: 22px;
    width: auto;
}

.footer__phone:hover {
    color: var(--main-color-gold-to);
    text-decoration: underline;
}

.footer-dev {
    grid-area: dev;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
}
.footer-dev__title {
    width: 100%;
    font-size: 12px;
    font-weight: 300;
    text-align: right;
}
.footer-dev__logo {
}

/* END footer  */

.wpcf7 form.sent .wpcf7-response-output {
    border: none;
}

.ajax-loader {
    display: none !important;
}

.input-group + .input-group {
    margin: 19px 0 0 0;
}
.label {
    font-weight: 700;
    padding: 0 0 0 6px;
}

.input {
    display: block;
    width: 100%;
    height: 50px;
    margin: 6px 0 0 0;
    padding: 0 16px;
    border: 1px solid var(--main-color-white);
    border-radius: 6px;
    background: transparent;
    color: var(--main-color-white);
}
.input-group:hover .label {
    color: var(--main-color-gold-from);
}

.input-group:hover .input {
    border-color: var(--main-color-gold-from);
}

@media (max-width: 1600px) {
    .container {
        width: calc(100% - (50px * 2));
    }

    .header__nav {
        padding: 0 40px;
        min-width: unset;
    }

    .footer__nav .menu {
        width: 480px;
    }
}

@media (max-width: 1280px) {
    .header__nav {
        font-size: 14px;
        padding: 0 20px;
    }

    .header__nav .menu-item a {
        padding: 0 15px;
    }

    .menu-item-has-children > a::after {
        left: calc(100% - 15px + 6px);
    }

    .footer {
        height: auto;
        padding: 25px 0 35px 0;
    }

    .footer__container {
        grid-template-columns: 190px 1fr 480px 1fr 140px;
        grid-template-rows: auto auto;
        grid-template-areas:
            "logo . nav . phone"
            ". . dev . .";
        row-gap: 35px;
    }

    .footer-dev {
        justify-content: center;
    }

    .footer__phone {
        font-size: 12px;
    }

    .footer__phone svg {
        height: 18px;
    }

    .footer-dev__title {
        font-size: 9px;
        text-align: center;
    }

    .footer-dev__logo {
        width: auto;
        max-height: 24px;
    }
}

@media (min-width: 1025px) and (max-width: 1140px) {
    .header__phone {
        display: none;
    }

    .header-actions {
        width: 200px;
    }
}
@media (max-width: 1024px) {
    .header__nav,
    .header-languages {
        display: none;
    }

    .burger {
        display: block;
    }

    .header-actions {
        width: 360px;
    }

    .mobile-menu {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: 30;
        background: rgb(35, 36, 48, 0.8);
        font-size: 20px;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.2s, visibility 0s ease 0.2s;
    }

    .mobile-menu.show {
        visibility: visible;
        opacity: 1;
        transition: visibility 0s ease 0s, opacity 0.2s;
    }

    .mobile-menu__content {
        width: 100%;
        max-width: 420px;
        margin: 0 0 0 auto;
        height: 100%;
        overflow-y: scroll;
        padding: 40px;
        background: var(--main-color);
    }
    .mobile-menu__content::-webkit-scrollbar {
        width: 2px;
    }

    .mobile-menu__content::-webkit-scrollbar-track {
        background: rgb(35, 36, 48, 0.8);
    }

    .mobile-menu__content::-webkit-scrollbar-thumb {
        background: var(--main-color-white);
    }

    .mobile-menu__close {
        position: absolute;
        right: 40px;
        top: 40px;
    }
    .mobile-menu__close svg {
        height: 20px;
        width: auto;
        fill: var(--main-color-white);
    }
    .mobile-menu__items {
        min-height: calc(100% - 18px - 16px);
    }

    .mobile-menu__phone {
        font-size: 16px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 16px 0 0 0;
    }

    .mobile-menu__phone svg {
        margin: 0 8px 0 0;
    }

    .mobile-menu__items,
    .mobile-menu__items a {
        color: var(--main-color-white);
    }

    .mobile-menu__items li + li {
        margin: 10px 0 0 0;
    }

    .mobile-menu__items .sub-menu {
        max-height: 0px;
        overflow: hidden;
        padding: 0 0 0 15px;
        margin: 0;
        transition: max-height 0.4s, padding 0.4s;
    }

    .mobile-menu__items .sub-menu.show {
        max-height: 1000px;
        margin: 10px 0;
        transition: max-height 0.6s, margin 0.4s;
    }

    .mobile-menu__items .open-sub-menu {
        padding: 0 10px;
    }

    .mobile-menu__items .open-sub-menu.active svg {
        transform: rotate(180deg);
    }

    .mobile-menu__items .menu-item-has-children > a::after {
        display: none;
    }
}

@media (max-width: 920px) {
    .footer {
        padding: 45px 0 32px 0;
    }

    .footer__container {
        grid-template-columns: 190px 1fr 480px;
        grid-template-rows: auto auto;
        grid-template-areas:
            "logo nav nav"
            "dev . phone";
    }

    .footer__nav .menu {
        width: 450px;
    }

    .footer-dev {
        justify-content: flex-start;
    }

    .footer-dev__title {
        text-align: left;
    }

    .footer__phone,
    .footer__nav .menu {
        margin: 0 0 0 auto;
    }
}

@media (max-width: 768px) {
    .container {
        width: calc(100% - (45px * 2));
    }
}

@media (max-width: 767px) {
    .bg-blackout {
        background: linear-gradient(0deg, rgba(0, 0, 0, 0.43), rgba(0, 0, 0, 0.43));
    }

    .bg-main {
        background: #43444e;
    }

    .footer__container {
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: auto auto auto;
        grid-template-areas:
            "logo logo logo"
            "nav nav nav"
            "dev . phone";
    }

    .footer__nav .menu {
        margin: 0 auto;
    }

    .footer__logo img {
        display: block;
        max-height: 50px;
        width: auto;
        margin: 0 auto;
    }
}

@media (max-width: 620px) {
    .header__button-order {
        display: none;
    }

    .header-actions {
        width: 190px;
    }

    .section__title {
        font-size: 41px;
    }
}

@media (max-width: 540px) {
    .footer {
        padding: 15px 0 30px 0;
    }
    .footer__container {
        grid-template-columns: minmax(117px, 1fr) 1fr;
        grid-template-rows: auto auto;
        column-gap: 10px;
        row-gap: 30px;
        grid-template-areas:
            "logo phone"
            "dev dev";
    }

    .footer__nav {
        display: none;
    }

    .footer-dev {
        justify-content: center;
    }

    .footer-dev__title {
        text-align: center;
    }
}

@media (max-width: 480px) {
    :root {
        --header-height: 50px;
    }
    .header__logo {
        padding: 0 0 2px 0;
    }
    .container {
        width: calc(100% - (20px * 2));
    }
}

@media (max-width: 380px) {
    .header-actions {
        width: 28px;
        justify-content: flex-end;
    }
    .header__phone {
        display: none;
    }
}
